#pragma once
#include <map>
struct M_testData
{
	//参数编号
	std::string mID;
	//中文
	std::string mxxx;
	//英文
	std::string mttt;
};

class M_test
{
public:
private:
	static std::auto_ptr<M_test> msSingleton;
public:
	int GetCount();
	const M_testData* GetData(std::string ID);
	const std::map<std::string, M_testData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_test* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_testData> mMapData;
};
